# -*- mode: indented-text -*-
# This file is part of GNU RADIUS documentation.
# Copyright (C) 2000,2001,2002 Sergey Poznyakoff
#  
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#  
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#  
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */

Global: linguas
[ 'en', 'fr', 'pl', 'es', 'el', 'ru' ]


Function: translations
    if not xtrans.attr["LINGUA"].has_key("GETTEXT"):
       xtrans.attr["LINGUA"]["GETTEXT"] = {}
    return xtrans.attr["LINGUA"]["GETTEXT"]

Function: msgid id, str
    xtrans.translations()[id] = str

Function: SetLocale lang
    xtrans.lang = lang

Function: gettext messid
    translations = xtrans.translations()
    if not translations.has_key(messid):
	return messid
    return translations[messid]

Global: charset_dict
{ 'def' : "iso-8859-1", 'pl': "iso-8859-2", 'ru': "koi8-r" }

Function: charset lang
	if not xtrans.charset_dict.has_key(lang):
		lang = 'def'
	return xtrans.charset_dict[lang]


